<template>
	<div class="bg-darkgray rounded p-5 ml-5 text-white">
		<h2 class="text-2xl">Configuration database connection</h2>
		<div class="mt-5 flex flex-col">
			<form-input v-for="field in fields" :field="field" :key="field.key"></form-input>
		</div>
		<div class="flex justify-end mt-5 animate__animated animate__fadeInRight">
			<a href="#" class="py-3 px-10 inline-block bg-blue-gradient text-white" @click.prevent="validateDatabase">Check connection</a>
		</div>
		<div class="animate__animated animate__fadeInRight p-5 mt-5" :class="validationClass" v-if="database_validation.status">
			{{ database_validation.message }}
		</div>
	</div>
</template>

<script>
import axios from 'axios'
import FormInput from "./FormInput";
import settings_fields from "../../settings_fields";
import {mapActions, mapGetters, mapMutations} from "vuex";
export default {
	name: "Database",
	computed: {
		...mapGetters('config', [
			'database_config',
			'database_validation'
		]),
		fields: () => settings_fields.Database,
		validationClass(){
			return {
				'bg-error text-white': this.database_validation.status !== 'success',
				'bg-blue-gradient text-white': this.database_validation.status === 'success'
			}
		},
	},
	methods: {
		...mapMutations('config', [
			'validation_set'
		]),
		...mapActions('config', [
			'validateDatabase'
		]),
	},
	components: {
		FormInput
	}
}
</script>

<style scoped>

</style>